#ifndef SENSORIS11_H
#define SENSORIS11_H

#include "comon.h"
#include "IS11Comon.h"



class SensorIS11 {
public:
    SensorIS11();
    STRSensorInfo SensorInfo;
    bool initSensor(int id = 2);
    STRSensorInfo GetSensorInfo();
    void SetShutter(int id);// 0 dark 1 green 2 blue
    void GetOneDate(int msc);
       int OptSnenser(int percent);
    unsigned short DATABUFF[2048];
    int shutterup,shutterdown;
    unsigned short *DownData=nullptr;
    unsigned short *UpData=nullptr;
    void shortLittletoBiG( unsigned short *data,int lenth);
   
    int Getmaxvalue(unsigned short *data,int lenth);
    void TakeOneJob();
    PRINTFUNC PrintFunc;



    int shutternow;
    //uint16_t result[2048];

    
    u_char *DataRetrun;

 
};





#endif